com.hazelcast.cache

## Interface HazelcastCacheManager

- All Superinterfaces:
    AutoCloseable, javax.cache.CacheManager, Closeable

      public interface HazelcastCacheManager
      extends javax.cache.CacheManager

  Contract point of Hazelcast cache manager implementations (client + server) based on `CacheManager`.
  See Also:
    `CacheManager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_MANAGER_PREFIX` Hazelcast's `CacheManager` prefix to be appended to the head of the cache name.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the cache manager.
    `String` | `getCacheNameWithPrefix(String name)` Gets the cache name by adding the manager prefix.
    `HazelcastInstance` | `getHazelcastInstance()` Gets the underlying `HazelcastInstance` implementation.
    `void` | `removeCache(String cacheName, boolean destroy)` Removes the associated cache with the given cache name.

    - ### Methods inherited from interface javax.cache.CacheManager

      `close, createCache, destroyCache, enableManagement, enableStatistics, getCache, getCache, getCacheNames, getCachingProvider, getClassLoader, getProperties, getURI, isClosed, unwrap`

- - ### Field Detail

    - #### CACHE_MANAGER_PREFIX

          static final String CACHE_MANAGER_PREFIX

      Hazelcast's `CacheManager` prefix to be appended to the head of the cache name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCacheNameWithPrefix

          String getCacheNameWithPrefix(String name)

      Gets the cache name by adding the manager prefix.
      Parameters:
        `name` - pure cache name without prefix
      Returns:
        the cache name with manager prefix

    - #### getHazelcastInstance

          HazelcastInstance getHazelcastInstance()

      Gets the underlying `HazelcastInstance` implementation.
      Returns:
        the underlying `HazelcastInstance` implementation

    - #### removeCache

          void removeCache(String cacheName,
                           boolean destroy)

      Removes the associated cache with the given cache name.
      Parameters:
        `cacheName` - pure cache name without prefix
        `destroy` - flag to specify whether the removed cache will be destroyed

    - #### destroy

          void destroy()

      Destroys the cache manager.

Copyright © 2019. All rights reserved.